# PATCH /customers/{customer_id}/businesses/{business_id}

**Update a business for a customer**

Updates a business for a customer using its ID and related customer ID.

If successful, your response includes a copy of the updated business entity.

**Required permissions:** `business.write`

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `business_id` | string | required | Paddle ID of the business entity to work with. |
| `customer_id` | string | required | Paddle ID of the customer entity to work with. (pattern: `^ctm_[a-z\d]{26}$`) |

## Request body

- `name`: string — Name of this business. (Length: 1–1024)
- `company_number` — Company number for this business. (Max length: 1024)
- `tax_identifier` — Tax or VAT Number for this business. (Max length: 1024)
- `status`: string — Whether this entity can be used in Paddle.
- `contacts` — List of contacts related to this business, typically used for sending invoices. (Items: max 100, unique)
- `custom_data` — Your own structured key-value data.

### Request example

```json
{
  "contacts": [
    {
      "name": "Parker Jones",
      "email": "parker@example.com"
    },
    {
      "name": "Jo Riley",
      "email": "jo@example.com"
    },
    {
      "name": "Jesse Garcia",
      "email": "jo@example.com"
    }
  ],
  "custom_data": {
    "customer_reference_id": "eb9b8d9b-7dd6-48e6-8c39-8557bba5eaa9"
  }
}
```

## Response (200)

- `data`: object (required) — Represents a business entity.
  - `id`: string (required) — Unique Paddle ID for this business entity, prefixed with `biz_`. (pattern: `^biz_[a-z\d]{26}$`)
  - `customer_id`: string (required) — Paddle ID for the customer related to this business, prefixed with `cus_`. (pattern: `^ctm_[a-z\d]{26}$`)
  - `name`: string (required) — Name of this business. (Length: 1–1024)
  - `company_number` (required) — Company number for this business. (Max length: 1024)
  - `tax_identifier` (required) — Tax or VAT Number for this business. (Max length: 1024)
  - `status`: string (required) — Whether this entity can be used in Paddle.
  - `contacts`: array (required) — List of contacts related to this business, typically used for sending invoices. (Items: max 100, unique)
  - `created_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
  - `updated_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
  - `custom_data` (required) — Your own structured key-value data.
  - `import_meta` (required) — Import information for this entity. `null` if this entity is not imported.
- `meta`: object (required) — Information about this response.
  - `request_id`: string (required) — Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.

### Response example

```json
{
  "data": {
    "id": "biz_01hv8hkr641vmpwytx38znv56k",
    "status": "active",
    "customer_id": "ctm_01hv6y1jedq4p1n0yqn5ba3ky4",
    "name": "Uplift Inc.",
    "company_number": "555775291485",
    "tax_identifier": "555952383",
    "contacts": [
      {
        "name": "Parker Jones",
        "email": "parker@example.com"
      },
      {
        "name": "Jo Riley",
        "email": "jo@example.com"
      },
      {
        "name": "Jesse Garcia",
        "email": "jo@example.com"
      }
    ],
    "custom_data": {
      "crm_id": "eb9b8d9b-7dd6-48e6-8c39-8557bba5eaa9"
    },
    "created_at": "2024-04-12T06:58:37.892Z",
    "updated_at": "2024-04-12T07:01:03.510528Z",
    "import_meta": null
  },
  "meta": {
    "request_id": "88b7fded-60ef-4507-ad6c-105bc9f88085"
  }
}
```
